Package org.apache.maven.scm.repository

## Class ScmRepository

- java.lang.Object
- - org.apache.maven.scm.repository.ScmRepository

Direct Known Subclasses:
  `ScmRepositoryStub`

    public class ScmRepository
    extends java.lang.Object

Author:
  Emmanuel Venisse

### Constructor Summary

Constructors
`ScmRepository​(java.lang.String provider, ScmProviderRepository providerRepository)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getProvider()`
`ScmProviderRepository` `getProviderRepository()`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ScmRepository

    public ScmRepository​(java.lang.String provider,
                         ScmProviderRepository providerRepository)

### Method Detail

#### getProvider

    public java.lang.String getProvider()

Returns:
  Returns the provider.

#### getProviderRepository

    public ScmProviderRepository getProviderRepository()

Returns:
  Returns the provider repository.

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`